## ust 2.11.0

=== doc/examples/demo-tracelog/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: demo-tracelog

demo-tracelog.o: demo-tracelog.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

demo-tracelog: demo-tracelog.o
	$(CC) $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		-o $@ $< $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a demo-tracelog

=== doc/examples/hello-static-lib/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes compiled as static libraries.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LOCAL_CPPFLAGS += -I.
LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc -llttng-ust	# On BSD
AR ?= ar

all: hello

lttng-ust-provider-hello.o: tp.c ust_tests_hello.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

lttng-ust-provider-hello.a: lttng-ust-provider-hello.o
	$(AR) -rc $@ lttng-ust-provider-hello.o

hello.o: hello.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

hello: hello.o lttng-ust-provider-hello.a
	$(CC) -o $@ $(LDFLAGS) $(CPPFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		$(CFLAGS) hello.o lttng-ust-provider-hello.a $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a hello

=== doc/examples/java-log4j/Makefile ===
#
# Copyright (C) 2014 - Christian Babeux <christian.babeux@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
# IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any purpose,
# provided the above notices are retained on all copies.  Permission to modify
# the code and to distribute modified code is granted, provided the above
# notices are retained, and a notice that the code was modified is included
# with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Required JAR files for Log4j
JARFILE_LOG4J=lttng-ust-agent-log4j.jar
JARFILE_COMMON=lttng-ust-agent-common.jar

# If system classpath is empty, try to guess log4j location
ifeq "$(CLASSPATH)" ""
	CLASSPATH="/usr/local/share/java/log4j.jar:/usr/share/java/log4j.jar"
endif

# Check if the top level makefile overrides the Log4j Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_LOG4J)" ""
	CLASSPATH:=$(CLASSPATH):/usr/local/share/java/$(JARFILE_LOG4J):/usr/share/java/$(JARFILE_LOG4J)
else
	CLASSPATH:=$(CLASSPATH):$(JAVA_CLASSPATH_OVERRIDE_LOG4J)/$(JARFILE_LOG4J)
endif

# Check if the top level makefile overrides the Common Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
	CLASSPATH:=$(CLASSPATH):/usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
else
	CLASSPATH:=$(CLASSPATH):$(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
endif

JFLAGS = -g
JC = javac -classpath "$(CLASSPATH):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Hello.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) *.class

=== debian/changelog ===
ust (2.11.0-1) unstable; urgency=medium

  * [baa9342] New upstream version 2.11.0
  * [641faa0] Update symbols for 2.11.0
  * [edf6b94] Bump debhelper to 11
  * [311ebe7] Bump standards version to 4.4.1
  * [a44044e] Add patch to fix typo 'acces'
  * [25273b0] Update build dependencies for 2.11.0
  * [0993c22] Update debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 21 Oct 2019 13:59:24 -0400

=== debian/control ===
Source: ust
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: debhelper (>= 11),
  default-jdk <!nojava> | default-jdk-headless <!nojava>,
  dh-python,
  dpkg-dev (>= 1.16.1),
  javahelper <!nojava>,
  liblog4j1.2-java <!nojava>,
  liburcu-dev (>= 0.11~),
  libnuma-dev,
  python3,
  python3-distutils,
  texinfo,
  uuid-dev
Standards-Version: 4.4.1
Section: libs
Vcs-Git: https://salsa.debian.org/debian/ust.git
Vcs-Browser: https://salsa.debian.org/debian/ust
Homepage: https://lttng.org/

Package: liblttng-ust0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust-ctl4 (= ${binary:Version})
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (tracing libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the actual userspace tracing library that must be linked
 to the instrumented programs.

Package: liblttng-ust-ctl4
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (trace control library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library to control tracing in other processes. Used by
 lttng-tools.

Package: liblttng-ust-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl4 (= ${binary:Version}),
  liblttng-ust-python-agent0 (= ${binary:Version}), liburcu-dev (>= 0.8.4),
  uuid-dev
Recommends: python3
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Breaks: liblttng-ust0 (<< 2.3.0)
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

Package: liblttng-ust-java
Section: java
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nojava>
Depends: liblttng-ust-java-jni (<< ${source:Version}.1~),
         liblttng-ust-java-jni (>= ${source:Version}),
         ${java:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (Java support library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package ships the Java side of the JNI interface, as a .jar that can be
 imported directly in Java applications.

Package: liblttng-ust-java-jni
Section: java
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nojava>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblttng-ust-java (= ${source:Version})
Description: LTTng 2.0 Userspace Tracer (JNI interface)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the native side of the JNI interface for lttng-ust.

Package: liblttng-ust-agent-java
Section: java
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nojava>
Depends: liblttng-ust-agent-java-jni (<< ${source:Version}.1~),
         liblttng-ust-agent-java-jni (>= ${source:Version}),
         ${java:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (Java agent library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package ships the Java agent with JUL and log4j support, as a .jar that
 can be imported directly in Java applications.

Package: liblttng-ust-agent-java-jni
Section: java
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nojava>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblttng-ust-java (= ${source:Version})
Description: LTTng 2.0 Userspace Tracer (Java agent JNI interface)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the native side of the Java agent for lttng-ust.

Package: liblttng-ust-python-agent0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust0 (= ${binary:Version})
Description: LTTng 2.0 Userspace Tracer (Python agent native library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library used by the Python agents.

Package: python3-lttngust
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
  liblttng-ust-python-agent0 (>= ${source:Version}),
  liblttng-ust-python-agent0 (<< ${source:Version}.1~)
Description: LTTng 2.0 Userspace Tracer (Python 3 UST agent)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the Python 3.x UST agent.

## ust 2.12.0

=== debian/changelog ===
ust (2.12.0-2) unstable; urgency=medium

  * [bfe9499] Add patch to build on archs with urcu tls compat

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 09 Apr 2020 16:14:24 -0400

ust (2.12.0-1) unstable; urgency=medium

  * [017e2c2] New upstream version 2.12.0
  * [b0bdeb4] Drop patch applied upstream
  * [395d481] Update symbols for 2.12
  * [8c16113] Add Rules-Requires-Root to d/control
  * [d94b69a] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 08 Apr 2020 14:34:41 -0400

ust (2.11.1-1) unstable; urgency=medium

  * [f5f3f39] New upstream version 2.11.1
  * [279c100] Remove erroneously exported symbol in liblttng-ust-fd.so

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 05 Mar 2020 16:55:38 -0500

## ust 2.12.1

=== doc/examples/clock-override/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.
AM_V_P := :

all: lttng-ust-clock-override-example.so

lttng-ust-clock-override-example.o: lttng-ust-clock-override-example.c
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

lttng-ust-clock-override-example.so: lttng-ust-clock-override-example.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -Wl,--no-as-needed -o $@ $(LDFLAGS) $(AM_CFLAGS) \
		$(AM_LDFLAGS) $(CFLAGS) -shared -fpic lttng-ust-clock-override-example.o

.PHONY: clean
clean:
	rm -f *.o *.so

=== doc/examples/demo/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.
AM_V_P := :

all: demo lttng-ust-provider-ust-tests-demo.so lttng-ust-provider-ust-tests-demo3.so

tp.o: tp.c ust_tests_demo.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

tp2.o: tp2.c ust_tests_demo2.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo.so: tp.o tp2.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -Wl,--no-as-needed -o $@ $(LDFLAGS) $(AM_CFLAGS) \
		$(AM_LDFLAGS) $(CFLAGS) -shared -fpic tp.o tp2.o $(LIBS) -llttng-ust

tp3.o: tp3.c ust_tests_demo3.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo3.so: tp3.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -Wl,--no-as-needed -o $@ $(LDFLAGS) $(AM_CFLAGS) \
		$(AM_LDFLAGS) $(CFLAGS) -shared -fpic tp3.o $(LIBS) -llttng-ust

demo.o: demo.c
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

demo: demo.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		-o $@ demo.o $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.so demo

=== doc/examples/gen-tp/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com>
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
# Copyright (C) 2012  Yannick Brosseau <yannick.brosseau@gmail.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This makefile is not using automake so that people can see how to make
# simply. It builds a program with a statically embedded tracepoint
# provider probe.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl -llttng-ust		#On Linux
#LIBS = -lc -llttng-ust		#On BSD
AM_V_P := :

all: sample

sample: sample.o sample_tracepoint.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		-o $@ sample.o sample_tracepoint.o $(LIBS)

sample.o: sample.c sample_tracepoint.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) $(CFLAGS) \
		-c -o $@ $<

# Use this command to compile the .c manually
#sample_tracepoint.o: sample_tracepoint.c sample_tracepoint.h
#	$(CC) $(CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) $(CFLAGS) \
#		-I. -c -o $@ $<

# This rule generate .o only and depends on rules for generating
# the .h and .c
%.o: %.tp %.c %.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		CPPFLAGS="$(AM_CPPFLAGS) $(CPPFLAGS)" \
		CFLAGS="$(AM_CFLAGS) $(CFLAGS)" \
		LDFLAGS="$(AM_LDFLAGS) $(LDFLAGS)" \
		CC="$(CC)" \
		$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<

# The following rule can be used to generate all files instead of having one
# for each file type. Note that the sample.o has a dependency on the
# .h, so you need to change that if you remove the %.h rule.
#%.o: %.tp
#	lttng-gen-tp $<

%.h: %.tp
	@if $(AM_V_P); then set -x; else echo "  GEN      $@"; fi; \
		$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<

%.c: %.tp
	@if $(AM_V_P); then set -x; else echo "  GEN      $@"; fi; \
		$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<

.PHONY: clean
clean:
	rm -f *.o sample
	rm -f sample_tracepoint.h sample_tracepoint.c

=== doc/examples/java-jul/Makefile ===
#
# Copyright (C) 2013 - David Goulet <dgoulet@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
# IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any purpose,
# provided the above notices are retained on all copies.  Permission to modify
# the code and to distribute modified code is granted, provided the above
# notices are retained, and a notice that the code was modified is included
# with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Required JAR files for JUL
JARFILE_JUL=lttng-ust-agent-jul.jar
JARFILE_COMMON=lttng-ust-agent-common.jar

# Check if the top level makefile overrides the JUL Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_JUL)" ""
	JUL_CP = /usr/local/share/java/$(JARFILE_JUL):/usr/share/java/$(JARFILE_JUL)
else
	JUL_CP = $(JAVA_CLASSPATH_OVERRIDE_JUL)/$(JARFILE_JUL)
endif

# Check if the top level makefile overrides the Common Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
	COMMON_CP = /usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
else
	COMMON_CP = $(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
endif

JFLAGS = -g
JC = javac -classpath "$(CLASSPATH):$(JUL_CP):$(COMMON_CP):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Hello.java FilterChangeListenerExample.java ApplicationContextExample.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) *.class

=== doc/examples/java-log4j/Makefile ===
--- 
+++ 
@@ -22,25 +22,25 @@
 
 # If system classpath is empty, try to guess log4j location
 ifeq "$(CLASSPATH)" ""
-	CLASSPATH="/usr/local/share/java/log4j.jar:/usr/share/java/log4j.jar"
+	CLASSPATH=/usr/local/share/java/log4j.jar:/usr/share/java/log4j.jar
 endif
 
 # Check if the top level makefile overrides the Log4j Jar file's path.
 ifeq "$(JAVA_CLASSPATH_OVERRIDE_LOG4J)" ""
-	CLASSPATH:=$(CLASSPATH):/usr/local/share/java/$(JARFILE_LOG4J):/usr/share/java/$(JARFILE_LOG4J)
+	LOG4J_CP = /usr/local/share/java/$(JARFILE_LOG4J):/usr/share/java/$(JARFILE_LOG4J)
 else
-	CLASSPATH:=$(CLASSPATH):$(JAVA_CLASSPATH_OVERRIDE_LOG4J)/$(JARFILE_LOG4J)
+	LOG4J_CP = $(JAVA_CLASSPATH_OVERRIDE_LOG4J)/$(JARFILE_LOG4J)
 endif
 
 # Check if the top level makefile overrides the Common Jar file's path.
 ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
-	CLASSPATH:=$(CLASSPATH):/usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
+	COMMON_CP = /usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
 else
-	CLASSPATH:=$(CLASSPATH):$(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
+	COMMON_CP = $(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
 endif
 
 JFLAGS = -g
-JC = javac -classpath "$(CLASSPATH):."
+JC = javac -classpath "$(CLASSPATH):$(LOG4J_CP):$(COMMON_CP):."
 .SUFFIXES: .java .class
 .java.class:
 	$(JC) $(JFLAGS) $*.java

=== debian/changelog ===
ust (2.12.1-1) unstable; urgency=medium

  * [3b6a5b7] New upstream version 2.12.1
  * [cf25c3b] Drop patch applied upstream

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 18 Feb 2021 14:07:33 -0500

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
   dpkg-dev (>= 1.16.1),
   javahelper <!nojava>,
   liblog4j1.2-java <!nojava>,
-  liburcu-dev (>= 0.11~),
+  liburcu-dev (>= 0.12~),
   libnuma-dev,
   python3,
   python3-distutils,
   texinfo,
   uuid-dev
 Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://lttng.org/files/lttng-ust/lttng-ust-([\d\.]*)\.tar\.(?:gz|bz2)

## ust 2.13.1

=== doc/examples/easy-ust/Makefile ===
# SPDX-License-Identifier: MIT
#
# Copyright (C) 2011-2012 Matthew Khouzam <matthew.khouzam@ericsson.com>
# Copyright (C) 2012 Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# This makefile is not using automake so that users can see how to build
# a program with a statically embedded tracepoint provider probe.
# the "html" target helps for documentation (req. code2html)
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl -llttng-ust		# On Linux
#LIBS = -lc -llttng-ust		# On BSD
LOCAL_CPPFLAGS += -I.
AM_V_P := :

all: sample

sample: sample.o tp.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -o $@ $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		sample.o tp.o $(LIBS)

sample.o: sample.c sample_component_provider.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

tp.o: tp.c sample_component_provider.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

html: sample_component_provider.html sample.html tp.html

%.html: %.c
	code2html -lc $< $@

%.html : %.h
	code2html -lc $< $@

.PHONY: clean
clean:
	rm -f *.html
	rm -f *.o sample

=== doc/examples/java-jul/Makefile ===
--- 
+++ 
@@ -1,14 +1,6 @@
+# SPDX-License-Identifier: MIT
 #
-# Copyright (C) 2013 - David Goulet <dgoulet@efficios.com>
-#
-# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
-# IMPLIED. ANY USE IS AT YOUR OWN RISK.
-#
-# Permission is hereby granted to use or copy this program for any purpose,
-# provided the above notices are retained on all copies.  Permission to modify
-# the code and to distribute modified code is granted, provided the above
-# notices are retained, and a notice that the code was modified is included
-# with the above copyright notice.
+# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
 #
 # This Makefile is not using automake so that users may see how to build a
 # program with tracepoint provider probes as stand-alone shared objects.

=== doc/examples/java-log4j/Makefile ===
--- 
+++ 
@@ -1,14 +1,6 @@
+# SPDX-License-Identifier: LGPL-2.1-only
 #
-# Copyright (C) 2014 - Christian Babeux <christian.babeux@efficios.com>
-#
-# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
-# IMPLIED. ANY USE IS AT YOUR OWN RISK.
-#
-# Permission is hereby granted to use or copy this program for any purpose,
-# provided the above notices are retained on all copies.  Permission to modify
-# the code and to distribute modified code is granted, provided the above
-# notices are retained, and a notice that the code was modified is included
-# with the above copyright notice.
+# Copyright (C) 2014 Christian Babeux <christian.babeux@efficios.com>
 #
 # This Makefile is not using automake so that users may see how to build a
 # program with tracepoint provider probes as stand-alone shared objects.

=== debian/changelog ===
ust (2.13.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
  * Added changes:
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP: #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 22 Dec 2021 19:46:51 -0300

ust (2.13.1-1) unstable; urgency=medium

  * [fb6e972] New upstream version 2.13.1
  * [13ccf7e] Update symbols for 2.13.1

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 10 Dec 2021 16:28:57 -0500

ust (2.13.0-3) unstable; urgency=medium

  * [162fee1] d/symbols: m68k and riscv64 use compiler tls for urcu

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 01 Nov 2021 14:57:56 -0400

ust (2.13.0-2) unstable; urgency=medium

  * [d05e027] Add missing builddep on pkg-config

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 22 Oct 2021 11:33:57 -0400

ust (2.13.0-1) unstable; urgency=medium

  * [4b18941] Bump watch file version to 4
  * [8f5b2a1] New upstream version 2.13.0
  * [44e63fd] Refreshed patches for 2.13
  * [da58f5e] SONAME bump from 0 to 1
  * [df1ca78] Update copyright file
  * [1943815] Add lintian overrides for prebuilt test artifacts
  * [12ba374] Update to debhelper compat 12

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 22 Oct 2021 10:54:21 -0400

ust (2.12.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against liburcu8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 01:15:12 +0000

ust (2.12.1-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:04 +0200

ust (2.12.1-1ubuntu1) hirsute; urgency=medium

  * Mark symbols as optional not seen when building with lto.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Mar 2021 11:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,49 @@
 Source: ust
 Priority: optional
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
   default-jdk <!nojava> | default-jdk-headless <!nojava>,
   dh-python,
   dpkg-dev (>= 1.16.1),
   javahelper <!nojava>,
   liblog4j1.2-java <!nojava>,
+  libnuma-dev,
   liburcu-dev (>= 0.12~),
-  libnuma-dev,
-  python3,
+  pkg-config,
+  python3-all,
   python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust
 Homepage: https://lttng.org/
 
-Package: liblttng-ust0
+Package: liblttng-ust-common1
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: LTTng 2.0 Userspace Tracer (common library)
+ The userspace tracer is designed to provide detailed information about
+ userspace activity. Like the kernel tracer, performance is the main goal.
+ Tracing does not require system calls or traps. UST instrumentation points may
+ be added in any userspace code including signal handlers and libraries.
+ .
+ This package contains the common library used by the tracing and control
+ libraries.
+
+Package: liblttng-ust1
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust-ctl4 (= ${binary:Version})
-Conflicts: liblttng-ust2
-Replaces: liblttng-ust2
+  liblttng-ust-common1 (= ${binary:Version}),
+  liblttng-ust-ctl5 (= ${binary:Version})
 Description: LTTng 2.0 Userspace Tracer (tracing libraries)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -38,13 +53,12 @@
  This package contains the actual userspace tracing library that must be linked
  to the instrumented programs.
 
-Package: liblttng-ust-ctl4
+Package: liblttng-ust-ctl5
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: liblttng-ust2
-Replaces: liblttng-ust2
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  liblttng-ust-common1 (= ${binary:Version})
 Description: LTTng 2.0 Userspace Tracer (trace control library)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -59,13 +73,10 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl4 (= ${binary:Version}),
-  liblttng-ust-python-agent0 (= ${binary:Version}), liburcu-dev (>= 0.8.4),
+  liblttng-ust1 (= ${binary:Version}), liblttng-ust-ctl5 (= ${binary:Version}),
+  liblttng-ust-python-agent1 (= ${binary:Version}), liburcu-dev (>= 0.12~),
   uuid-dev
 Recommends: python3
-Conflicts: liblttng-ust2
-Replaces: liblttng-ust2
-Breaks: liblttng-ust0 (<< 2.3.0)
 Description: LTTng 2.0 Userspace Tracer (development files)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -141,12 +152,12 @@
  .
  This package contains the native side of the Java agent for lttng-ust.
 
-Package: liblttng-ust-python-agent0
+Package: liblttng-ust-python-agent1
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust0 (= ${binary:Version})
+  liblttng-ust1 (= ${binary:Version})
 Description: LTTng 2.0 Userspace Tracer (Python agent native library)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -160,8 +171,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends},
-  liblttng-ust-python-agent0 (>= ${source:Version}),
-  liblttng-ust-python-agent0 (<< ${source:Version}.1~)
+  liblttng-ust-python-agent1 (>= ${source:Version}),
+  liblttng-ust-python-agent1 (<< ${source:Version}.1~)
 Description: LTTng 2.0 Userspace Tracer (Python 3 UST agent)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXTRA_CONF_OPTS =
EXTRA_DH_OPTS =

# Disable java packages on architecture that don't have
# an openjdk port.
nojava_archs = hppa
ifneq (,$(filter $(DEB_HOST_ARCH), $(nojava_archs)))
export DEB_BUILD_PROFILES += nojava
endif

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/log4j-1.2.jar

EXTRA_DH_OPTS += --with javahelper

EXTRA_CONF_OPTS += --enable-jni-interface \
		   --enable-java-agent-all \
		   --with-java-prefix=$(JAVA_HOME)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3 $(EXTRA_DH_OPTS)

override_dh_auto_configure:
	PYTHON=python3 \
	dh_auto_configure -- \
		--includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
		--enable-python-agent \
		$(EXTRA_CONF_OPTS)

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/jni

override_jh_manifest:
	jh_manifest -pliblttng-ust-agent-java
endif

override_dh_auto_test:
# https://bugs.lttng.org/issues/1337
# LP: #1953065
ifeq ($(shell dpkg-buildflags --get LDFLAGS | grep -q -- '-Wl,-Bsymbolic-functions' && echo yes),yes)
	dh_auto_test -- UST_TESTS_LD_SYMBOLIC_FUNC=1
else
	dh_auto_test
endif

## ust 2.13.4

=== debian/changelog ===
ust (2.13.4-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 24 Aug 2022 09:27:20 -0300

ust (2.13.4-1) unstable; urgency=medium

  * [99d1f58] New upstream version 2.13.4
  * [cfbad03] Update source lintian overrides
  * [7f34a28] Update debian copyright
  * [5690f4a] Bump standards version to 4.6.1.0

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 23 Aug 2022 14:44:23 -0400

ust (2.13.3-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1977751). Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 29 Jul 2022 16:44:52 -0300

ust (2.13.3-1) unstable; urgency=medium

  * [92abdd1] New upstream version 2.13.3

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 03 Jun 2022 16:37:11 -0400

ust (2.13.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 04 May 2022 17:43:54 -0300

ust (2.13.2-1) unstable; urgency=medium

  * [52c4ecd] New upstream version 2.13.2
  * [1e10379] Refresh patches
  * [4e70775] Update debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 28 Mar 2022 17:09:53 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git

## ust 2.13.5

=== doc/examples/java-jul/Makefile ===
--- 
+++ 
@@ -40,4 +40,4 @@
 
 .PHONY: clean
 clean:
-	$(RM) *.class
+	$(RM) $(CLASSES:.java=.class)

=== debian/changelog ===
ust (2.13.5-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)
  * Dropped:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
      [In Debian 2.13.5-1]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 22 Dec 2022 13:45:13 -0300

ust (2.13.5-1) unstable; urgency=medium

  * [cfba21e] New upstream version 2.13.5
  * [d010dfc] Mark LTO optional symbols (Closes: #1015698)
  * [f3bb02e] Disable java on hppa (Closes: #1010875)
  * [5e3f226] Refresh jni libdir patch

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 11 Oct 2022 10:40:04 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 12),
-  default-jdk <!nojava> | default-jdk-headless <!nojava>,
+  default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
   dh-python,
   dpkg-dev (>= 1.16.1),
-  javahelper <!nojava>,
-  liblog4j1.2-java <!nojava>,
+  javahelper [!hppa] <!nojava>,
+  liblog4j1.2-java [!hppa] <!nojava>,
   libnuma-dev,
   liburcu-dev (>= 0.12~),
   pkg-config,

## ust 2.13.6

=== debian/changelog ===
ust (2.13.6-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 01 Aug 2023 18:02:47 -0300

ust (2.13.6-2) unstable; urgency=medium

  * [ec5d2be] Set python install layout to 'deb'

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 13 Jun 2023 14:42:45 -0400

ust (2.13.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [1bbb9e3] Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * [2002ca8] Set upstream metadata fields: Bug-Submit (from ./configure).
  * [9b6ee2f] Remove obsolete fields Contact, Name from
    debian/upstream/metadata (already present in machine-readable
    debian/copyright).
  * [2e13d21] Remove constraints unnecessary since buster (oldstable)

  [ Michael Jeanson ]
  * [ed95f59] New upstream version 2.13.6

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 13 Jun 2023 14:18:25 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 12),
   default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
   dh-python,
-  dpkg-dev (>= 1.16.1),
   javahelper [!hppa] <!nojava>,
   liblog4j1.2-java [!hppa] <!nojava>,
   libnuma-dev,

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_PYTHON_INSTALL_LAYOUT = deb
 
 %:
 	dh $@ --with=python3 $(EXTRA_DH_OPTS)

## ust 2.13.7

=== debian/changelog ===
ust (2.13.7-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:05 +0000

ust (2.13.7-1.1ubuntu1) noble; urgency=medium

  * Drop build-dependency on obsolete python3-distutils.  Closes: #1065994.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Mar 2024 01:14:59 +0000

ust (2.13.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063038

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:29:22 +0000

ust (2.13.7-1) unstable; urgency=medium

  * [5f3b9a6] New upstream version 2.13.7
  * [280b137] Drop patch merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 11 Jan 2024 10:55:32 -0500

ust (2.13.6-3) unstable; urgency=medium

  [ Michael Jeanson ]
  * [33be613] Add lintian override for JNI RUNPATH

  [ Andreas Hasenack ]
  * [4202827] Adjust test if -Wl,-Bsymbolic-functions is used

  [ Michael Jeanson ]
  * [bd6978f] Update salsa-ci config
  * [98d9799] Fix salsa-ci.yaml syntax
  * [6709a6a] Fix clean target (Closes: #1047714)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 17 Oct 2023 16:08:22 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
   default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
   dh-python,
   javahelper [!hppa] <!nojava>,
@@ -12,7 +12,6 @@
   liburcu-dev (>= 0.12~),
   pkg-config,
   python3-all,
-  python3-distutils,
   texinfo,
   uuid-dev
 Standards-Version: 4.6.1.0
@@ -22,7 +21,10 @@
 Vcs-Browser: https://salsa.debian.org/debian/ust
 Homepage: https://lttng.org/
 
-Package: liblttng-ust-common1
+Package: liblttng-ust-common1t64
+Provides: ${t64:Provides}
+Replaces: liblttng-ust-common1
+Breaks: liblttng-ust-common1 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,13 +38,16 @@
  This package contains the common library used by the tracing and control
  libraries.
 
-Package: liblttng-ust1
+Package: liblttng-ust1t64
+Provides: ${t64:Provides}
+Replaces: liblttng-ust1
+Breaks: liblttng-ust1 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust-common1 (= ${binary:Version}),
-  liblttng-ust-ctl5 (= ${binary:Version})
+  liblttng-ust-common1t64 (= ${binary:Version}),
+  liblttng-ust-ctl5t64 (= ${binary:Version})
 Description: LTTng 2.0 Userspace Tracer (tracing libraries)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -52,12 +57,15 @@
  This package contains the actual userspace tracing library that must be linked
  to the instrumented programs.
 
-Package: liblttng-ust-ctl5
+Package: liblttng-ust-ctl5t64
+Provides: ${t64:Provides}
+Replaces: liblttng-ust-ctl5
+Breaks: liblttng-ust-ctl5 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust-common1 (= ${binary:Version})
+  liblttng-ust-common1t64 (= ${binary:Version})
 Description: LTTng 2.0 Userspace Tracer (trace control library)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -72,8 +80,8 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-  liblttng-ust1 (= ${binary:Version}), liblttng-ust-ctl5 (= ${binary:Version}),
-  liblttng-ust-python-agent1 (= ${binary:Version}), liburcu-dev (>= 0.12~),
+  liblttng-ust1t64 (= ${binary:Version}), liblttng-ust-ctl5t64 (= ${binary:Version}),
+  liblttng-ust-python-agent1t64 (= ${binary:Version}), liburcu-dev (>= 0.12~),
   uuid-dev
 Recommends: python3
 Description: LTTng 2.0 Userspace Tracer (development files)
@@ -151,12 +159,15 @@
  .
  This package contains the native side of the Java agent for lttng-ust.
 
-Package: liblttng-ust-python-agent1
+Package: liblttng-ust-python-agent1t64
+Provides: ${t64:Provides}
+Replaces: liblttng-ust-python-agent1
+Breaks: liblttng-ust-python-agent1 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust1 (= ${binary:Version})
+  liblttng-ust1t64 (= ${binary:Version})
 Description: LTTng 2.0 Userspace Tracer (Python agent native library)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -170,8 +181,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends},
-  liblttng-ust-python-agent1 (>= ${source:Version}),
-  liblttng-ust-python-agent1 (<< ${source:Version}.1~)
+  liblttng-ust-python-agent1t64 (>= ${source:Version}),
+  liblttng-ust-python-agent1t64 (<< ${source:Version}.1~)
 Description: LTTng 2.0 Userspace Tracer (Python 3 UST agent)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.

=== debian/rules ===
--- 
+++ 
@@ -55,3 +55,7 @@
 else
 	dh_auto_test
 endif
+
+execute_after_dh_auto_clean:
+	rm -f src/python-lttngust/installed_files.txt
+	rm -rf src/python-lttngust/lttngust.egg-info

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://lttng.org/files/lttng-ust/lttng-ust-([\d\.]*)\.tar\.(?:gz|bz2)

## ust 2.13.8

=== debian/changelog ===
ust (2.13.8-2) unstable; urgency=medium

  * [a940c81] Replace distutils with setuptools for python 3.12
    (Closes: #1065994)
  * [637c1bb] Bump standards version to 4.7.0
  * [5c5f577] Fix liblttng-ust1t64 lintian override

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 11 Jul 2024 15:56:21 -0400

ust (2.13.8-1) unstable; urgency=medium

  * [7c3b8b8] New upstream version 2.13.8
  * [7b36cce] d/symbols: add new symbols for 2.13.8
  * [d1e193a] Refresh upstream signing key
  * [69956b0] d/control: update buildep from pkg-config to pkgconf
  * [6e7ea87] Add 'Forwarded' tag to patches

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 22 Apr 2024 15:22:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ust
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
   default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
@@ -10,11 +9,12 @@
   liblog4j1.2-java [!hppa] <!nojava>,
   libnuma-dev,
   liburcu-dev (>= 0.12~),
-  pkg-config,
+  pkgconf,
   python3-all,
+  python3-setuptools,
   texinfo,
   uuid-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
